summaryrefslogtreecommitdiffstats
path: root/slackware64/xap
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64/xap')
-rwxr-xr-xslackware64/xap/install-packages73
-rw-r--r--slackware64/xap/install.end14
-rw-r--r--slackware64/xap/maketag81
-rw-r--r--slackware64/xap/maketag.ez81
-rw-r--r--slackware64/xap/tagfile46
5 files changed, 295 insertions, 0 deletions
diff --git a/slackware64/xap/install-packages b/slackware64/xap/install-packages
new file mode 100755
index 000000000..3232fb680
--- /dev/null
+++ b/slackware64/xap/install-packages
@@ -0,0 +1,73 @@
+#!/bin/sh
+# Copyright 2002 Slackware Linux, Inc., Concord, CA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This is a simple script to install a package series from the command line.
+# If you're already running Slackware, you can just run this script to install
+# the packages.
+#
+# I originally got the idea for this tool because Slackware with both KDE and
+# GNOME doesn't fit on a single CD-ROM anymore, so I wanted to provide a quick
+# way to add a series later on with the same ease as the initial installation.
+#
+# To use this script, just run it as root in the current directory like this:
+#
+# ./install-packages
+#
+# Note that this script does not make any attempt to remove or upgrade existing
+# packages. If you want to upgrade an existing installation, you will be better
+# served using the pkgtools directly. Here's how to upgrade all the packages in
+# this series:
+#
+# upgradepkg *.t?z (upgrades already installed packages)
+# installpkg *.t?z (installs all packages, to make sure new ones are installed)
+#
+# If you upgrade a series like this, afterwards you might need to merge over any
+# required changes in the new config files, which will have the suffix .new.
+# These can be found like this:
+#
+# find / -name "*.new"
+#
+# OK, on with the show! Enjoy! :-)
+#
+# Patrick Volkerding <volkerdi@slackware.com>
+
+# Use the existing maketag script to provide a package selection menu:
+sh maketag
+
+# Quick bail if nothing was requested:
+if grep ADD /var/log/setup/tmp/SeTnewtag 1> /dev/null 2> /dev/null ; then
+ true
+else
+ rm -f /var/log/setup/tmp/SeTnewtag
+ exit
+fi
+
+# Install the selected packages:
+for PKG in *.t?z ; do
+ if [ ! "$ROOT" = "" ]; then
+ installpkg -root $ROOT -infobox -tagfile /var/log/setup/tmp/SeTnewtag $PKG
+ else
+ installpkg -infobox -tagfile /var/log/setup/tmp/SeTnewtag $PKG
+ fi
+done
+rm -f /var/log/setup/tmp/SeTnewtag
+echo
+echo "Done installing packages."
diff --git a/slackware64/xap/install.end b/slackware64/xap/install.end
new file mode 100644
index 000000000..67eb307dd
--- /dev/null
+++ b/slackware64/xap/install.end
@@ -0,0 +1,14 @@
+#SERIES_LAST_DIRECTORY
+
+This file must be present to signal to 'setup' that this is the last
+directory in this package series. It serves no other purpose, other than
+to make you curious enough to use rot13 to read the rest of it (_at your
+own risk!_ :)
+
+Sbe vasbezngvba nobhg trggvat "Obo" va lbhe yvsr, cyrnfr ivfvg:
+
+ Puhepu bs gur FhoTravhf
+ uggc://jjj.fhotravhf.pbz
+
+Qba'g fnl lbh jrer abg jnearq jura gur Kvfgf pbzr sbe lbh.
+
diff --git a/slackware64/xap/maketag b/slackware64/xap/maketag
new file mode 100644
index 000000000..2af6f34d4
--- /dev/null
+++ b/slackware64/xap/maketag
@@ -0,0 +1,81 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES XAP (X APPLICATIONS)" \
+ --checklist "Please confirm the packages you wish to install \
+from series XAP. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are done." \
+20 70 10 \
+"MPlayer" "Media player" "on" \
+"audacious" "A media player of the XMMS lineage" "on" \
+"audacious-plugins" "Plugins for Audacious to support media types" "on" \
+"blackbox" "Minimalist and fast window manager" "on" \
+"electricsheep" "A distributed screensaver program" "on" \
+"fluxbox" "Window manager based on blackbox" "on" \
+"fvwm" "FVWM window manager" "on" \
+"gftp" "A multithreaded FTP client" "on" \
+"gimp" "GNU Image Manipulation Program" "on" \
+"gkrellm" "Graphical system monitor utility" "on" \
+"gnuchess" "Chess playing programs" "on" \
+"gnuplot" "Gnuplot function plotting utility" "on" \
+"gqview" "A lightweight picture viewing program" "on" \
+"gucharmap" "Unicode character map" "on" \
+"gv" ".ps/.pdf viewer based on Ghostview" "on" \
+"gxine" "Multimedia player (GTK+ user interface)" "on" \
+"imagemagick" "ImageMagick image utilities" "on" \
+"mozilla-firefox" "Mozilla Firefox web browser" "on" \
+"mozilla-thunderbird" "Mozilla Thunderbird email client" "on" \
+"pan" "Pan newsreader (good for Reading News)" "on" \
+"pidgin" "GTK+ based messaging program" "on" \
+"rdesktop" "Remote Desktop Protocol client" "on" \
+"rxvt" "Lightweight xterm alternative" "on" \
+"sane" "Scanner Access Now Easy" "on" \
+"seamonkey" "SeaMonkey Application Suite" "on" \
+"seyon" "A complete telecommunications package" "on" \
+"thunar-volman" "Thunar Volume Manager for Xfce" "on" \
+"vim-gvim" "X/GTK+ GUI add-on for the VIM editor" "on" \
+"windowmaker" "GNU window manager for X" "on" \
+"x11-ssh-askpass" "X11-based SSH passphrase dialog" "on" \
+"x3270" "x3270 - IBM host access tool" "on" \
+"xchat" "IRC client for X" "on" \
+"xfce" "A lightweight desktop environment for X" "on" \
+"xfce4-power-manager" "Power Management daemon for Xfce" "on" \
+"xfractint" "Fractint for X" "on" \
+"xgames" "A collection of games for X" "on" \
+"xine-lib" "Multimedia player libraries" "on" \
+"xine-ui" "Multimedia player (user interface)" "on" \
+"xlockmore" "A screen saver and locker for X" "on" \
+"xmms" "An audio player similar to WinAmp" "on" \
+"xpaint" "A color painting/image editing program" "on" \
+"xpdf" "Portable Document Format (PDF) viewer" "on" \
+"xsane" "X interface to Scanner Access Now Easy" "on" \
+"xscreensaver" "A screen saver and locker for X" "on" \
+"xv" "XV GIF/TIFF/JPEG/PostScript Image Viewer" "on" \
+"xxgdb" "X frontend for the GNU gdb debugger" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+MPlayer audacious audacious-plugins blackbox electricsheep fluxbox fvwm gftp gimp gkrellm gnuchess gnuplot gqview gucharmap gv gxine imagemagick mozilla-firefox mozilla-thunderbird pan pidgin rdesktop rxvt sane seamonkey seyon thunar-volman vim-gvim windowmaker x11-ssh-askpass x3270 xchat xfce xfce4-power-manager xfractint xgames xine-lib xine-ui xlockmore xmms xpaint xpdf xsane xscreensaver xv xxgdb \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+MPlayer audacious audacious-plugins blackbox electricsheep fluxbox fvwm gftp gimp gkrellm gnuchess gnuplot gqview gucharmap gv gxine imagemagick mozilla-firefox mozilla-thunderbird pan pidgin rdesktop rxvt sane seamonkey seyon thunar-volman vim-gvim windowmaker x11-ssh-askpass x3270 xchat xfce xfce4-power-manager xfractint xgames xine-lib xine-ui xlockmore xmms xpaint xpdf xsane xscreensaver xv xxgdb \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs
diff --git a/slackware64/xap/maketag.ez b/slackware64/xap/maketag.ez
new file mode 100644
index 000000000..2af6f34d4
--- /dev/null
+++ b/slackware64/xap/maketag.ez
@@ -0,0 +1,81 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES XAP (X APPLICATIONS)" \
+ --checklist "Please confirm the packages you wish to install \
+from series XAP. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any items you don't want to install. \
+Press ENTER when you are done." \
+20 70 10 \
+"MPlayer" "Media player" "on" \
+"audacious" "A media player of the XMMS lineage" "on" \
+"audacious-plugins" "Plugins for Audacious to support media types" "on" \
+"blackbox" "Minimalist and fast window manager" "on" \
+"electricsheep" "A distributed screensaver program" "on" \
+"fluxbox" "Window manager based on blackbox" "on" \
+"fvwm" "FVWM window manager" "on" \
+"gftp" "A multithreaded FTP client" "on" \
+"gimp" "GNU Image Manipulation Program" "on" \
+"gkrellm" "Graphical system monitor utility" "on" \
+"gnuchess" "Chess playing programs" "on" \
+"gnuplot" "Gnuplot function plotting utility" "on" \
+"gqview" "A lightweight picture viewing program" "on" \
+"gucharmap" "Unicode character map" "on" \
+"gv" ".ps/.pdf viewer based on Ghostview" "on" \
+"gxine" "Multimedia player (GTK+ user interface)" "on" \
+"imagemagick" "ImageMagick image utilities" "on" \
+"mozilla-firefox" "Mozilla Firefox web browser" "on" \
+"mozilla-thunderbird" "Mozilla Thunderbird email client" "on" \
+"pan" "Pan newsreader (good for Reading News)" "on" \
+"pidgin" "GTK+ based messaging program" "on" \
+"rdesktop" "Remote Desktop Protocol client" "on" \
+"rxvt" "Lightweight xterm alternative" "on" \
+"sane" "Scanner Access Now Easy" "on" \
+"seamonkey" "SeaMonkey Application Suite" "on" \
+"seyon" "A complete telecommunications package" "on" \
+"thunar-volman" "Thunar Volume Manager for Xfce" "on" \
+"vim-gvim" "X/GTK+ GUI add-on for the VIM editor" "on" \
+"windowmaker" "GNU window manager for X" "on" \
+"x11-ssh-askpass" "X11-based SSH passphrase dialog" "on" \
+"x3270" "x3270 - IBM host access tool" "on" \
+"xchat" "IRC client for X" "on" \
+"xfce" "A lightweight desktop environment for X" "on" \
+"xfce4-power-manager" "Power Management daemon for Xfce" "on" \
+"xfractint" "Fractint for X" "on" \
+"xgames" "A collection of games for X" "on" \
+"xine-lib" "Multimedia player libraries" "on" \
+"xine-ui" "Multimedia player (user interface)" "on" \
+"xlockmore" "A screen saver and locker for X" "on" \
+"xmms" "An audio player similar to WinAmp" "on" \
+"xpaint" "A color painting/image editing program" "on" \
+"xpdf" "Portable Document Format (PDF) viewer" "on" \
+"xsane" "X interface to Scanner Access Now Easy" "on" \
+"xscreensaver" "A screen saver and locker for X" "on" \
+"xv" "XV GIF/TIFF/JPEG/PostScript Image Viewer" "on" \
+"xxgdb" "X frontend for the GNU gdb debugger" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+MPlayer audacious audacious-plugins blackbox electricsheep fluxbox fvwm gftp gimp gkrellm gnuchess gnuplot gqview gucharmap gv gxine imagemagick mozilla-firefox mozilla-thunderbird pan pidgin rdesktop rxvt sane seamonkey seyon thunar-volman vim-gvim windowmaker x11-ssh-askpass x3270 xchat xfce xfce4-power-manager xfractint xgames xine-lib xine-ui xlockmore xmms xpaint xpdf xsane xscreensaver xv xxgdb \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+MPlayer audacious audacious-plugins blackbox electricsheep fluxbox fvwm gftp gimp gkrellm gnuchess gnuplot gqview gucharmap gv gxine imagemagick mozilla-firefox mozilla-thunderbird pan pidgin rdesktop rxvt sane seamonkey seyon thunar-volman vim-gvim windowmaker x11-ssh-askpass x3270 xchat xfce xfce4-power-manager xfractint xgames xine-lib xine-ui xlockmore xmms xpaint xpdf xsane xscreensaver xv xxgdb \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs
diff --git a/slackware64/xap/tagfile b/slackware64/xap/tagfile
new file mode 100644
index 000000000..7ce8a84bf
--- /dev/null
+++ b/slackware64/xap/tagfile
@@ -0,0 +1,46 @@
+MPlayer:OPT
+audacious:REC
+audacious-plugins:REC
+blackbox:OPT
+electricsheep:REC
+fluxbox:OPT
+fvwm:REC
+gftp:OPT
+gimp:REC
+gkrellm:OPT
+gnuchess:REC
+gnuplot:OPT
+gqview:REC
+gucharmap:OPT
+gv:REC
+gxine:OPT
+imagemagick:REC
+mozilla-firefox:REC
+mozilla-thunderbird:REC
+pan:REC
+pidgin:OPT
+rdesktop:OPT
+rxvt:REC
+sane:OPT
+seamonkey:REC
+seyon:OPT
+thunar-volman:REC
+vim-gvim:REC
+windowmaker:REC
+x11-ssh-askpass:REC
+x3270:OPT
+xchat:OPT
+xfce:OPT
+xfce4-power-manager:REC
+xfractint:OPT
+xgames:REC
+xine-lib:REC
+xine-ui:REC
+xlockmore:REC
+xmms:OPT
+xpaint:OPT
+xpdf:OPT
+xsane:OPT
+xscreensaver:REC
+xv:REC
+xxgdb:REC